<?php 
/**
 * cruzy functions and dynamic template
 *
 * @package cruzy
 */
 
/**
 * Replace Excerpt More
 */
function cruzy_new_excerpt_more( $more ) {
	return '...';
}
add_filter('excerpt_more', 'cruzy_new_excerpt_more');

 /**
 * Delete font size style from tag cloud widget
 */
function cruzy_fix_tag_cloud($tag_string){
   return preg_replace("/style='font-size:.+pt;'/", '', $tag_string);
}
add_filter('wp_generate_tag_cloud', 'cruzy_fix_tag_cloud',10,3);

 /**
 * Register All Colors and Section
 */
function cruzy_color_primary_register( $wp_customize ) {
	$colors = array();
	
	$colors[] = array(
	'slug'=>'cruzy_box_background_color', 
	'default' => '#ffffff',
	'label' => __('Background Color', 'cruzy')
	);
	
	$colors[] = array(
	'slug'=>'cruzy_box_text_color', 
	'default' => '#353535',
	'label' => __('Text Color', 'cruzy')
	);
	
	$colors[] = array(
	'slug'=>'cruzy_box_second_text_color', 
	'default' => '#cecece',
	'label' => __('Secondary Text Color', 'cruzy')
	);
	
	$colors[] = array(
	'slug'=>'cruzy_special_color', 
	'default' => '#edb600',
	'label' => __('Special Color', 'cruzy')
	);
	
	foreach( $colors as $cruzy_theme_options ) {
		// SETTINGS
			$wp_customize->add_setting( 'cruzy_theme_options[' . $cruzy_theme_options['slug'] . ']', array(
				'default' => $cruzy_theme_options['default'],
				'type' => 'option', 
				'sanitize_callback' => 'sanitize_hex_color',
				'capability' => 'edit_theme_options'
			)
		);
		// CONTROLS
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				$cruzy_theme_options['slug'], 
				array('label' => $cruzy_theme_options['label'], 
				'section' => 'colors',
				'settings' =>'cruzy_theme_options[' . $cruzy_theme_options['slug'] . ']',
				)
			)
		);
	}
	
	/*
	Search Options
	=====================================================
	*/
	$wp_customize->add_section( 'cresta_cruzy_options', array(
	     'title'    => esc_attr__( 'Search Options', 'cruzy' ),
	     'priority' => 50,
	) );
	
	/*
	Search Button
	=====================================================
	*/
	$wp_customize->add_setting('cruzy_theme_options_hidesearch', array(
        'default'    => '1',
        'type'       => 'theme_mod',
        'capability' => 'edit_theme_options',
		'sanitize_callback' => 'cruzy_sanitize_checkbox'
    ) );
	
	$wp_customize->add_control('cruzy_theme_options_hidesearch', array(
        'label'      => __( 'Show Search Button', 'cruzy' ),
        'section'    => 'cresta_cruzy_options',
        'settings'   => 'cruzy_theme_options_hidesearch',
        'type'       => 'checkbox',
    ) );
	
	/*
	Upgrade to PRO
	=====================================================
	*/
    class Cruzy_Customize_Upgrade_Control extends WP_Customize_Control {
        public function render_content() {  ?>
        	<p class="cruzy-upgrade-title">
        		<span class="customize-control-title">
					<h3 style="text-align:center;"><div class="dashicons dashicons-megaphone"></div> <?php _e('Get Cruzy PRO WP Theme for only', 'cruzy'); ?> 24,90&euro;</h3>
        		</span>
        	</p>
			<p style="text-align:center;" class="cruzy-upgrade-button">
				<a style="margin: 10px;" target="_blank" href="http://crestaproject.com/demo/cruzy-pro/" class="button button-secondary">
					<?php _e('Watch the demo', 'cruzy'); ?>
				</a>
				<a style="margin: 10px;" target="_blank" href="http://crestaproject.com/downloads/cruzy/" class="button button-secondary">
					<?php _e('Get Cruzy PRO Theme', 'cruzy'); ?>
				</a>
			</p>
			<ul>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Advanced Theme Options', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Loading Page', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Logo Upload', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Font Switcher', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Unlimited Colors and Skin', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Breadcrumb', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( '7 Shortcodes', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( '9 Exclusive Widgets', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Related Posts Box', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Information About Author Box', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Share buttons under the posts', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'Custom image for 404 page and search page', 'cruzy' ); ?></b></li>
				<li><div class="dashicons dashicons-yes" style="color: #1fa67a;"></div><b><?php _e( 'And much more...', 'cruzy' ); ?></b></li>
			<ul><?php
        }
    }
	
	$wp_customize->add_section( 'cresta_upgrade_pro', array(
	     'title'    => __( 'More features? Upgrade to PRO', 'cruzy' ),
	     'priority' => 999,
	));
	
	$wp_customize->add_setting('cruzy_section_upgrade_pro', array(
		'default' => '',
		'type' => 'option',
		'sanitize_callback' => 'esc_attr'
	));
	
	$wp_customize->add_control(new Cruzy_Customize_Upgrade_Control($wp_customize, 'cruzy_section_upgrade_pro', array(
		'section' => 'cresta_upgrade_pro',
		'settings' => 'cruzy_section_upgrade_pro',
	)));
}
add_action( 'customize_register', 'cruzy_color_primary_register' );

function cruzy_sanitize_checkbox( $input ) {
	if ( $input == 1 ) {
		return 1;
	} else {
		return '';
	}
}

/**
 * Add Custom CSS to Header 
 */
function cruzy_custom_css_styles() { 
	global $cruzy_theme_options;
	$se_options = get_option( 'cruzy_theme_options', $cruzy_theme_options );
	if( isset( $se_options[ 'cruzy_box_background_color' ] ) ) {
		$cruzy_box_background_color = $se_options['cruzy_box_background_color'];
	}
	if( isset( $se_options[ 'cruzy_box_text_color' ] ) ) {
		$cruzy_box_text_color = $se_options['cruzy_box_text_color'];
	}
	if( isset( $se_options[ 'cruzy_box_second_text_color' ] ) ) {
		$cruzy_box_second_text_color = $se_options['cruzy_box_second_text_color'];
	}
	if( isset( $se_options[ 'cruzy_special_color' ] ) ) {
		$cruzy_special_color = $se_options['cruzy_special_color'];
	}
?>
	<style type="text/css">
	<?php
	//PREVIOUS AND NEXT POST
		if ( is_single() ) {
			$previous = ( is_attachment() ) ? get_post( get_post()->post_parent ) : get_adjacent_post( false, '', true );
			$next     = get_adjacent_post( false, '', false );

			if ( $previous &&  has_post_thumbnail( $previous->ID ) ) {
				$prevthumb = wp_get_attachment_image_src( get_post_thumbnail_id( $previous->ID ), 'cruzy-related-box' );
				echo '
					.post-navigation .nav-previous { background-image: url(' . esc_url( $prevthumb[0] ) . '); }
				';
			}

			if ( $next && has_post_thumbnail( $next->ID ) ) {
				$nextthumb = wp_get_attachment_image_src( get_post_thumbnail_id( $next->ID ), 'cruzy-related-box' );
				echo '
					.post-navigation .nav-next { background-image: url(' . esc_url( $nextthumb[0] ) . '); }
				';
			}
		}
		?>
		
		<?php if (!empty($cruzy_box_background_color) && $cruzy_box_background_color != '#ffffff' ) : ?>
			body,
			.theNavigationBar,
			.main-navigation ul ul ,
			.menu-toggle,
			.menu-toggle:hover, .menu-toggle:focus,
			.widget-area,
			.search-box,
			.site-branding .branding-box,
			.top-box {
				background: <?php echo esc_attr($cruzy_box_background_color); ?>;
			}
			button,
			input[type="button"],
			input[type="reset"],
			input[type="submit"],
			.invertPart a,
			.main-navigation.toggled .menu-toggle,
			.comment-navigation .nav-links a, .posts-navigation .nav-links a,
			.navigation.pagination .nav-links .page-numbers,
			.post-navigation a .post-title,
			.main-sidebar-box,
			.search-box.search-open,
			.search-container input[type="search"],
			.tagcloud a,
			#wp-calendar > caption,
			.page-links > .page-links-number,
			.page-links a .page-links-number {
				color: <?php echo esc_attr($cruzy_box_background_color); ?>;
			}
			.invertPart,
			.invertPart i {
				color: <?php echo esc_attr($cruzy_box_background_color); ?>!important;
			}
			.theNavigationBar:after {
				border-top: 2em solid <?php echo esc_attr($cruzy_box_background_color); ?>;
			}
			.post-navigation .nav-previous:before,
			.comment-respond:before {
				border-right: 1em solid <?php echo esc_attr($cruzy_box_background_color); ?>;
			}
			.post-navigation .nav-next:before {
				border-left: 1em solid <?php echo esc_attr($cruzy_box_background_color); ?>;
			}
			.site-branding:before {
				border-bottom: 1em solid <?php echo esc_attr($cruzy_box_background_color); ?>;
			}
		<?php endif; ?>
		
		<?php if (!empty($cruzy_box_text_color) && $cruzy_box_text_color != '#353535' ) : ?>
			<?php list($r, $g, $b) = sscanf($cruzy_box_text_color, '#%02x%02x%02x'); ?>
			body,
			button,
			input,
			select,
			textarea,
			button:hover,
			input[type="button"]:hover,
			input[type="reset"]:hover,
			input[type="submit"]:hover,
			button:focus,
			input[type="button"]:focus,
			input[type="reset"]:focus,
			input[type="submit"]:focus,
			button:active,
			input[type="button"]:active,
			input[type="reset"]:active,
			input[type="submit"]:active,
			.entry-title a,
			.main-navigation ul li:hover > a, 
			.main-navigation ul li.focus > a, 
			.main-navigation li.current-menu-item > a, 
			.main-navigation li.current-menu-parent > a, 
			.main-navigation li.current-page-ancestor > a,
			.main-navigation .current_page_item > a, 
			.main-navigation .current_page_parent > a,
			.menu-toggle,
			.menu-toggle:hover, .menu-toggle:focus,
			.search-box,
			.site-branding h1 a,
			.site-branding p.site-title a {
				color: <?php echo esc_attr($cruzy_box_text_color); ?>;
			}
			.post-navigation a:before {
				background-color: rgba(<?php echo esc_attr($r).', '.esc_attr($g).', '.esc_attr($b); ?>, 0.2);
			}
			.searchPanel {
				background: rgba(<?php echo esc_attr($r).', '.esc_attr($g).', '.esc_attr($b); ?>, 0.9);
			}
		<?php endif; ?>
		
		<?php if (!empty($cruzy_box_second_text_color) && $cruzy_box_second_text_color != '#cecece' ) : ?>
			.smallPart,
			input[type="text"],
			input[type="email"],
			input[type="url"],
			input[type="password"],
			input[type="search"],
			input[type="number"],
			input[type="tel"],
			input[type="range"],
			input[type="date"],
			input[type="month"],
			input[type="week"],
			input[type="time"],
			input[type="datetime"],
			input[type="datetime-local"],
			input[type="color"],
			textarea,
			input[type="text"]:focus,
			input[type="email"]:focus,
			input[type="url"]:focus,
			input[type="password"]:focus,
			input[type="search"]:focus,
			input[type="number"]:focus,
			input[type="tel"]:focus,
			input[type="range"]:focus,
			input[type="date"]:focus,
			input[type="month"]:focus,
			input[type="week"]:focus,
			input[type="time"]:focus,
			input[type="datetime"]:focus,
			input[type="datetime-local"]:focus,
			input[type="color"]:focus,
			textarea:focus,
			.smallPart a, 
			.smallPart a:hover, 
			.smallPart a:focus,
			.sepHentry {
				color: <?php echo esc_attr($cruzy_box_second_text_color); ?>;
			}
			button:hover,
			input[type="button"]:hover,
			input[type="reset"]:hover,
			input[type="submit"]:hover,
			button:focus,
			input[type="button"]:focus,
			input[type="reset"]:focus,
			input[type="submit"]:focus,
			button:active,
			input[type="button"]:active,
			input[type="reset"]:active,
			input[type="submit"]:active,
			.navigation.pagination .nav-links span.page-numbers,
			.page-links > .page-links-number {
				background: <?php echo esc_attr($cruzy_box_second_text_color); ?>;
			}
			input[type="text"],
			input[type="email"],
			input[type="url"],
			input[type="password"],
			input[type="search"],
			input[type="number"],
			input[type="tel"],
			input[type="range"],
			input[type="date"],
			input[type="month"],
			input[type="week"],
			input[type="time"],
			input[type="datetime"],
			input[type="datetime-local"],
			input[type="color"],
			textarea {
				border: 1px solid <?php echo esc_attr($cruzy_box_second_text_color); ?>;
			}
			.widget-area {
				border-left: 1px solid <?php echo esc_attr($cruzy_box_second_text_color); ?>;
			}
			.sepHentry:before, .sepHentry:after {
				border-bottom: 1px solid <?php echo esc_attr($cruzy_box_second_text_color); ?>;
			}
			.sepHentry2 {
				border-top: 1px solid <?php echo esc_attr($cruzy_box_second_text_color); ?>;
			}
		<?php endif; ?>
		
		<?php if (!empty($cruzy_special_color) && $cruzy_special_color != '#edb600' ) : ?>
			.smallPart i,
			a,
			.tagcloud a:hover,
			.tagcloud a:focus,
			.site-branding p,
			form.comment-form i {
				color: <?php echo esc_attr($cruzy_special_color); ?>;
			}
			button,
			input[type="button"],
			input[type="reset"],
			input[type="submit"],
			.main-navigation.toggled .menu-toggle,
			.comment-navigation .nav-links a,
			.posts-navigation .nav-links a,
			.navigation.pagination .nav-links a.page-numbers,
			.main-sidebar-box,
			.search-box.search-open,
			.tagcloud a,
			#wp-calendar > caption,
			.cruzy-bottom-content .read-link,
			.page-links a .page-links-number {
				background: <?php echo esc_attr($cruzy_special_color); ?>;
			}
			blockquote {
				border-left: 4px solid <?php echo esc_attr($cruzy_special_color); ?>;
				border-right: 2px solid <?php echo esc_attr($cruzy_special_color); ?>;
			}
			input[type="text"]:focus,
			input[type="email"]:focus,
			input[type="url"]:focus,
			input[type="password"]:focus,
			input[type="search"]:focus,
			input[type="number"]:focus,
			input[type="tel"]:focus,
			input[type="range"]:focus,
			input[type="date"]:focus,
			input[type="month"]:focus,
			input[type="week"]:focus,
			input[type="time"]:focus,
			input[type="datetime"]:focus,
			input[type="datetime-local"]:focus,
			input[type="color"]:focus,
			textarea:focus,
			#wp-calendar tbody td#today {
				border: 1px solid <?php echo esc_attr($cruzy_special_color); ?>;
			}
			@media screen and (max-width: 768px) {
				.main-navigation ul li .indicator {
					color: <?php echo esc_attr($cruzy_special_color); ?>;
				}
			}
		<?php endif; ?>
	</style>
	<?php
}
add_action('wp_head', 'cruzy_custom_css_styles');
